
package com.sifang.modules.flowpath.entity;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;
import org.hibernate.annotations.GenericGenerator;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 代理商审批信息Entity
 * @author lzp
 * @version 
 */
@Entity
@Table(name = "crm_trader_apply")
@Cache(usage = CacheConcurrencyStrategy.READ_WRITE)
public class TraderApply implements Serializable {
	
	private static final long serialVersionUID = 1L;
	private String id; 		// 编号
	private String name; 	// 名称
	private String loginName;
	private String password;
	private String contacts;
	private String img;
	private String province;
	private String city;
	private String area;
	private String address;
	private String mobile;
	private String actualContacts;
	private String telephone;
	private BigDecimal bond;
	private String actualIdCode;
	private String bankName;
	private String bankCode;
	private String taxNumber;
	private String licenseImg;
	private String idFrontImg;
	private String idOppositeImg;
	private String status;
	private String remarks;
	private String takeDeliveryProvince;
	private String takeDeliveryCity;
	private String takeDeliveryArea;
	private String takeDeliveryAddress;
	private String createBy;
	private String creator;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private String updater;
	private String processInstanceId;
	private String departmentId;
	private String departmentName;

	private String taskId;
	private String taskName;
	private String content;

	private String processDefId;

	private String traderId ;
	private String qqjyglwtsImg;
	private String bzjdkpzImg;
	private String sfzzmfyjImg;
	private String sfzfmfyjImg;
	private String dlszrsqbImg;

	private String operateUserIds;


	private String qqProjectCode;

	private BigDecimal bondLimit;

	private String warehouseTake;

	private String warehouseTakeMobile;

	private String qqProjectName;

	public String getQqProjectName() {
		return qqProjectName;
	}

	public void setQqProjectName(String qqProjectName) {
		this.qqProjectName = qqProjectName;
	}

	public String getWarehouseTake() {
		return warehouseTake;
	}

	public void setWarehouseTake(String warehouseTake) {
		this.warehouseTake = warehouseTake;
	}

	public String getWarehouseTakeMobile() {
		return warehouseTakeMobile;
	}

	public void setWarehouseTakeMobile(String warehouseTakeMobile) {
		this.warehouseTakeMobile = warehouseTakeMobile;
	}

	public BigDecimal getBondLimit() {
		return bondLimit;
	}

	public void setBondLimit(BigDecimal bondLimit) {
		this.bondLimit = bondLimit;
	}

	public String getOperateUserIds() {
		return operateUserIds;
	}

	public void setOperateUserIds(String operateUserIds) {
		this.operateUserIds = operateUserIds;
	}

	public String getTraderId() {
		return traderId;
	}

	public void setTraderId(String traderId) {
		this.traderId = traderId;
	}

	public String getProcessDefId() {
		return processDefId;
	}

	public void setProcessDefId(String processDefId) {
		this.processDefId = processDefId;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getTaskName() {
		return taskName;
	}

	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@Id
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getActualContacts() {
		return actualContacts;
	}

	public void setActualContacts(String actualContacts) {
		this.actualContacts = actualContacts;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public BigDecimal getBond() {
		return bond;
	}

	public void setBond(BigDecimal bond) {
		this.bond = bond;
	}

	public String getActualIdCode() {
		return actualIdCode;
	}

	public void setActualIdCode(String actualIdCode) {
		this.actualIdCode = actualIdCode;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankCode() {
		return bankCode;
	}

	public void setBankCode(String bankCode) {
		this.bankCode = bankCode;
	}

	public String getTaxNumber() {
		return taxNumber;
	}

	public void setTaxNumber(String taxNumber) {
		this.taxNumber = taxNumber;
	}

	public String getLicenseImg() {
		return licenseImg;
	}

	public void setLicenseImg(String licenseImg) {
		this.licenseImg = licenseImg;
	}

	public String getIdFrontImg() {
		return idFrontImg;
	}

	public void setIdFrontImg(String idFrontImg) {
		this.idFrontImg = idFrontImg;
	}

	public String getIdOppositeImg() {
		return idOppositeImg;
	}

	public void setIdOppositeImg(String idOppositeImg) {
		this.idOppositeImg = idOppositeImg;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getTakeDeliveryProvince() {
		return takeDeliveryProvince;
	}

	public void setTakeDeliveryProvince(String takeDeliveryProvince) {
		this.takeDeliveryProvince = takeDeliveryProvince;
	}

	public String getTakeDeliveryCity() {
		return takeDeliveryCity;
	}

	public void setTakeDeliveryCity(String takeDeliveryCity) {
		this.takeDeliveryCity = takeDeliveryCity;
	}

	public String getTakeDeliveryArea() {
		return takeDeliveryArea;
	}

	public void setTakeDeliveryArea(String takeDeliveryArea) {
		this.takeDeliveryArea = takeDeliveryArea;
	}

	public String getTakeDeliveryAddress() {
		return takeDeliveryAddress;
	}

	public void setTakeDeliveryAddress(String takeDeliveryAddress) {
		this.takeDeliveryAddress = takeDeliveryAddress;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUpdater() {
		return updater;
	}

	public void setUpdater(String updater) {
		this.updater = updater;
	}

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getQqjyglwtsImg() {
		return qqjyglwtsImg;
	}

	public void setQqjyglwtsImg(String qqjyglwtsImg) {
		this.qqjyglwtsImg = qqjyglwtsImg;
	}

	public String getBzjdkpzImg() {
		return bzjdkpzImg;
	}

	public void setBzjdkpzImg(String bzjdkpzImg) {
		this.bzjdkpzImg = bzjdkpzImg;
	}

	public String getSfzzmfyjImg() {
		return sfzzmfyjImg;
	}

	public void setSfzzmfyjImg(String sfzzmfyjImg) {
		this.sfzzmfyjImg = sfzzmfyjImg;
	}

	public String getSfzfmfyjImg() {
		return sfzfmfyjImg;
	}

	public void setSfzfmfyjImg(String sfzfmfyjImg) {
		this.sfzfmfyjImg = sfzfmfyjImg;
	}

	public String getDlszrsqbImg() {
		return dlszrsqbImg;
	}

	public void setDlszrsqbImg(String dlszrsqbImg) {
		this.dlszrsqbImg = dlszrsqbImg;
	}


	public String getQqProjectCode() {
		return qqProjectCode;
	}

	public void setQqProjectCode(String qqProjectCode) {
		this.qqProjectCode = qqProjectCode;
	}
}


